Skip to main content

Get list of audits​

Get list of audits

Query Parameters
  • filterUserIds string

    Comma-separated list of user IDs to filter audits by

  • filterUserGroupIds string

    Comma-separated list of user group IDs; expanded to user IDs server-side

  • severity string

    Comma-separated severity values (e.g. 1,2,3,4)

  • fq string[]

    Pagination cursor tokens

  • fromTime int64

    Start time filter (Unix epoch seconds)

  • toTime int64

    End time filter (Unix epoch seconds)

  • limit int32

    Maximum number of audits to return

  • offset int32

    Number of audits to skip for pagination

  • sortBy string

    Field name to sort results by

  • sortDir string

    Sort direction (asc or desc)

Responses

Success


Schema
  • audits object[]

    List of audit records

  • auditId string
  • severity string

    Possible values: [AUDITSEVERITY_NONE, AUDITSEVERITY_CRITICAL, AUDITSEVERITY_HIGH, AUDITSEVERITY_MEDIUM, AUDITSEVERITY_LOW]

  • user object
  • userId int32
  • userName string
  • createdTimeUtc int64
  • entities object[]
  • entityType int32
  • entityId int32
  • entityName string
  • operation object
  • operationMessage object
  • localizedMessages object[]
  • localeId int32
  • localeText string
  • auditNotesCount int32
  • filterMatchCount int64

    Total number of audits matching the filter, regardless of pagination

Loading...